Make Passthrough Request
curl --request POST \
--url https://api.bindbee.dev/api/v1/passthrough \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-connector-token: <x-connector-token>' \
--data '
{
"path": "<string>",
"headers": {
"Content-Type": "application/json"
},
"params": {
"a": 1,
"b": 2
},
"data": {
"a": 1,
"b": 2
},
"request_format": "JSON",
"response_format": "JSON",
"timeout": 300
}
'import requests
url = "https://api.bindbee.dev/api/v1/passthrough"
payload = {
"path": "<string>",
"headers": { "Content-Type": "application/json" },
"params": {
"a": 1,
"b": 2
},
"data": {
"a": 1,
"b": 2
},
"request_format": "JSON",
"response_format": "JSON",
"timeout": 300
}
headers = {
"x-connector-token": "<x-connector-token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-connector-token': '<x-connector-token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
path: '<string>',
headers: {'Content-Type': 'application/json'},
params: {a: 1, b: 2},
data: {a: 1, b: 2},
request_format: 'JSON',
response_format: 'JSON',
timeout: 300
})
};
fetch('https://api.bindbee.dev/api/v1/passthrough', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Passthrough
Make Passthrough Request
POST
/
api
/
v1
/
passthrough
Make Passthrough Request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Method of the request
Available options:
CONNECT, DELETE, GET, HEAD, OPTIONS, PATCH, POST, PUT, TRACE Example:
"POST"
Path of the request
Example:
"/employees"
headers of the request
Example:
{ "Content-Type": "application/json" }params of the request
Example:
{ "a": 1, "b": 2 }Body of the request
Example:
{ "a": 1, "b": 2 }format of the request
Available options:
JSON, XML, MULTIPART Example:
"JSON"
format of the response
Available options:
JSON, XML, MULTIPART Example:
"JSON"
timeout of the request
Example:
300
Response
Successful Response
Was this page helpful?
⌘I